<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\Aktuelles\NeueNews;

class NeueNewsController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new NeueNewsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new NeueNewsRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new NeueNewsPresenter($pUseCaseResponse);
  }
}